<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* schedule-recurrence-form-delete.twig */
class __TwigTemplate_d6dc054a61e4ab79021a74367acb9997ce398fc7a351051e597bb3ed32300453 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'callBack' => [$this, 'block_callBack'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 25
        $context["forms"] = $this->loadTemplate("forms.twig", "schedule-recurrence-form-delete.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "schedule-recurrence-form-delete.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        // line 28
        echo "    ";
        echo __("Delete Recurring Event.");
    }

    // line 31
    public function block_callBack($context, array $blocks = [])
    {
        echo "setupScheduleForm";
    }

    // line 33
    public function block_formButtons($context, array $blocks = [])
    {
        // line 34
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 35
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 36
        echo __("Yes");
        echo ", \$(\"#scheduleRecurrenceDeleteForm\").submit()
";
    }

    // line 39
    public function block_formHtml($context, array $blocks = [])
    {
        // line 40
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"scheduleRecurrenceDeleteForm\" class=\"form-horizontal\" method=\"delete\" action=\"";
        // line 42
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("schedule.recurrence.delete", ["id" => $this->getAttribute(($context["event"] ?? null), "eventId", [])]), "html", null, true);
        echo "\">
                ";
        // line 43
        ob_start(function () { return ''; });
        echo __("Are you sure you want to delete this recurring event? Clicking Yes will delete this event from <b>all</b> displays.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 44
        echo "                ";
        echo $context["forms"]->getmessage(($context["message"] ?? null));
        echo "

                ";
        // line 46
        echo $context["forms"]->gethidden("eventStart", ($context["eventStart"] ?? null));
        echo "
                ";
        // line 47
        echo $context["forms"]->gethidden("eventEnd", ($context["eventEnd"] ?? null));
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "schedule-recurrence-form-delete.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  104 => 47,  100 => 46,  94 => 44,  90 => 43,  86 => 42,  82 => 40,  79 => 39,  73 => 36,  69 => 35,  62 => 34,  59 => 33,  53 => 31,  48 => 28,  45 => 27,  40 => 24,  38 => 25,  32 => 24,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "schedule-recurrence-form-delete.twig", "/home/mgatv524/public_html/edurocha/views/schedule-recurrence-form-delete.twig");
    }
}
